Bug 159862 - kernel oops with usbserial (minicom key pressed)
kernel oops with usbserial (minicom key pressed)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks: RHEL3U8CanFix
  Show dependency treegraph
 
Reported: 2005-06-08 13:55 EDT by Tru Huynh
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0437
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 09:24:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug syslog for pl2303 (1.46 KB, application/octet-stream)
2005-06-22 07:00 EDT, Tru Huynh
no flags Details

  None (edit)
Description Tru Huynh 2005-06-08 13:55:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; NetBSD amd64; en-US; rv:1.7.8) Gecko/20050524

Description of problem:
kernel oops upon keypressed inside minicom attached to a usbserial dongle (pl2303)



Version-Release number of selected component (if applicable):
2.4.21-32.0.1.ELsmp

How reproducible:
Always

Steps to Reproduce:
1. attached a pl2303 usbserial dongle
2. press a key inside minicom /dev/ttyUSB0
3.
  

Actual Results:  ooops

Expected Results:  minicom attached to agetty allow login

Additional info:

could be related to bz#132994
Comment 1 Tru Huynh 2005-06-08 13:57:10 EDT
attached serial console yields:

Unable to handle kernel NULL pointer dereference at virtual address 0000000000000000
 printing rip:
0000000000000000
PML4 7e053067 PGD 7e052067 PMD 0
NMI Watchdog detected LOCKUP on CPU0, rip ffffffff801a7739, registers:
CPU 0
Pid: 0, comm: swapper Not tainted
RIP: 0010:[<ffffffff801a7739>]
RSP: 0018:ffffffff805e85b8  EFLAGS: 00000082
RAX: 000000000000000f RBX: 0000000000000008 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffffffff805e3a00 RDI: ffffffff802b98a0
RBP: 0000000000000010 R08: ffffffff805e3a00 R09: 0000000000000001
R10: 00000000ffffffff R11: 0000000000000010 R12: 0000000000000000
R13: 0000000000000000 R14: 0000000000000000 R15: ffffffff805e8698
FS:  0000002a967e8e20(0000) GS:ffffffff805e3a00(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000000101000 CR4: 00000000000006e0

Call Trace:
Comment 2 Pete Zaitcev 2005-06-20 20:24:49 EDT
Tru, I need /proc/bus/usb/devices attached. Looking ahead a little,
if "little rework" works, we'll need to sort out the pl2303 not transmitting.
This looks like so-called "HX" problem - these adapters are of different sorts.
Comment 3 Pete Zaitcev 2005-06-21 04:22:13 EDT
See also
 bug 132994 - Tru's test case (N.B. getty drives USB adapter)
 but 146663 - patch for pl2303 type HX
Comment 4 Tru Huynh 2005-06-21 13:35:59 EDT
here is the pl2303 output for /proc/bus/usb/devices

[tru@myganne ~]$ uname -a
Linux myganne.bis.pasteur.fr 2.4.21-32.0.1.EL.tru.3asmp #1 SMP Fri Jun 10
01:17:45 CEST 2005 x86_64 x86_64 x86_64 GNU/Linux
[tru@myganne ~]$ cat /proc/bus/usb/devices
T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 3
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB OHCI Root Hub
S:  SerialNumber=2a000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms
T:  Bus=02 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=067b ProdID=2303 Rev= 3.00
S:  Manufacturer=Prolific Technology Inc.
S:  Product=USB-Serial Controller
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=00 Prot=00 Driver=serial
E:  Ad=81(I) Atr=03(Int.) MxPS=  10 Ivl=1ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=83(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 3
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB OHCI Root Hub
S:  SerialNumber=28000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

changelog for the running kernel:
* Thu Jun 09 2005 Tru Huynh <tru@pasteur.fr> tru.3a

- patched keyspan (kspatch2003oct02)
- patched pl2303 (v10)

* Tue Jun 07 2005 Tru Huynh <tru@pasteur.fr> tru.3

- msecs_to_jiffies added to "little_rework"

* Tue Jun 07 2005 Tru Huynh <tru@pasteur.fr> tru.2

- msleep added to "little_rework"

* Tue Jun 07 2005 Tru Huynh <tru@pasteur.fr> tru.1

- import the patches from Pete Zaitcev 
- replacing 132994 with "little_rework"


* Tue Jun 07 2005 Tru Huynh <tru@pasteur.fr> tru.0

- import the patches from Pete Zaitcev  2.4.21-31.EL.usbserial.3
-* Tue Mar 22 2005 Pete Zaitcev <zaitcev@redhat.com>
-- Bump to 2.4.21-31.EL.usbserial.3
-- add a guess for bz#138205 (Viper, TRSTRCY)
-- add candidate for bz#145801 (modem_run vs. exclusive_access)
-* Mon Mar 21 2005 Pete Zaitcev <zaitcev@redhat.com>
-- Bump to 2.4.21-31.EL.usbserial.1
-- add candidate for bz#132994 (oops in serial_write), short plug version
-- add candidate for bz#146663 (support for HX-typ pl2303)
-- throw in the Dell's Chicony thing to compile-test it, bz#146183

* Mon May 16 2005 Ernie Petrides <petrides@redhat.com> kernel-2.4.21-32.0.1.EL

Comment 5 Tru Huynh 2005-06-21 13:40:44 EDT
I also have a Keyspan usb/serial which have the same symptoms (after adding the
support for device==kspatch2003oct02 from keyspan).

That would qualify for a RFE I think.

[tru@myganne ~]$ cat /proc/bus/usb/devices
T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 3
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB OHCI Root Hub
S:  SerialNumber=2a000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms
T:  Bus=02 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=ff(vend.) Sub=ff Prot=ff MxPS= 8 #Cfgs=  2
P:  Vendor=06cd ProdID=0121 Rev= 1.00
S:  Manufacturer=Keyspan, a division of InnoSys Inc.
S:  Product=Keyspan USA-19H
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 5 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=03(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=03(Int.) MxPS=  64 Ivl=1ms
E:  Ad=82(I) Atr=03(Int.) MxPS=  64 Ivl=1ms
C:  #Ifs= 1 Cfg#= 2 Atr=a0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 5 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=03(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 3
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB OHCI Root Hub
S:  SerialNumber=28000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

Comment 6 Pete Zaitcev 2005-06-21 22:45:29 EDT
Please test kernel 2.4.21-31.EL.usbserial.4 from
 ftp://people.redhat.com/zaitcev/rhel3usb/

Comment 7 Tru Huynh 2005-06-22 06:59:23 EDT
[tru@myganne ~]$ uname -a
Linux myganne.bis.pasteur.fr 2.4.21-31.EL.usbserial.4smp #1 SMP Tue Jun 21
19:45:12 EDT 2005 x86_64 x86_64 x86_64 GNU/Linux

[tru@myganne ~]$ cat /etc/minirc.dfl 
# Machine-generated file - use "minicom -s" to change parameters.
pr port             /dev/ttyUSB0
pu baudrate         9600
pu minit            
pu mreset           
pu mdialpre         
pu mdialsuf         
pu mdialpre2        
pu mdialsuf2        
pu mdialpre3        
pu mdialsuf3        
pu mhangup          
pu mdialcan         
pr rtscts           No 
pu xonxoff          Yes

[tru@myganne ~]$ cat /etc/modules.conf
alias scsi_hostadapter sata_sil
alias eth0 e100
alias eth1 tg3
alias eth2 tg3
alias usb-controller usb-ohci
options pl2303 debug=1


on the other end the remote server has /etc/inittab:
# console 
co:2345:respawn:/sbin/agetty ttyS0 9600 vt100


1) the minicom is able to receive the login banner
but seems unable to send anything but the BREAK signal.
strace the agetty on the server yields:

root     14355     1  0 12:44 ttyS0    00:00:00 /sbin/agetty ttyS0 9600 vt100
[tru@snivel ~]$ sudo strace -p 14355
Process 14355 attached - interrupt to quit
read(0, <-wait forever

upon sending BREAK on minicom:
read(0, "\0", 1)                        = 1
read(0,

2) debug output from pl2303 on minicom:
/etc/syslog.conf
...
*.* /tmp/syslog

usbserial.c: USB Serial support registered for PL-2303
usbserial.c: PL-2303 converter detected
pl2303.c: device type: 2
usbserial.c: PL-2303 converter now attached to ttyUSB0 (or usb/tts/0 for devfs)
pl2303.c: Prolific PL2303 USB to serial adaptor driver v0.9.rh2
...
Jun 22 12:52:44 myganne kernel: pl2303.c: get_modem_info - result = 6
Jun 22 12:52:44 myganne kernel: pl2303.c: pl2303_ioctl (0) cmd = 0x5415
Jun 22 12:52:44 myganne kernel: pl2303.c: pl2303_ioctl (0) TIOCMGET
Comment 8 Tru Huynh 2005-06-22 07:00:34 EDT
Created attachment 115803 [details]
debug syslog for pl2303
Comment 9 Pete Zaitcev 2005-06-23 18:58:55 EDT
This is quite mysterious. While type 2 is HX, my HX works fine (I have
an ATEN's clone though)

I suggest to look again at the cable. It should have good shorts
RTS->CTS and DTR->DCD,DSR. The pl2303 is a reverse-engineered driver,
and I know it's weak where it comes to controlling the modem lines.
Comment 10 Tru Huynh 2005-07-05 11:36:26 EDT
I have tried with my patched kernel from your .3 version + keyspan:

minicom is only receiving, not transmitting.

Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_open - port0.
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600 00 60.
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_set_termios
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup already writing
Jul  5 17:33:02 myganne kernel: keyspan.c: usa90_outcont_callback - sending setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_set_termios
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup already writing
Jul  5 17:33:02 myganne kernel: keyspan.c: usa90_outcont_callback - sending setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_set_termios
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_set_termios
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup already writing
Jul  5 17:33:02 myganne kernel: keyspan.c: usa90_outcont_callback - sending setup
Jul  5 17:33:02 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:23 myganne kernel: keyspan.c: keyspan_break_ctl
Jul  5 17:33:23 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 17:33:23 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:23 myganne kernel: keyspan.c: keyspan_break_ctl
Jul  5 17:33:23 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 17:33:23 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 17:33:28 myganne ntpd[2997]: kernel time discipline status change 41
Jul  5 17:33:38 myganne kernel: keyspan.c: usa90_indat_callback


I will add the keyspan patch to your .4 version and report.

Tru
Comment 11 Tru Huynh 2005-07-05 13:43:55 EDT
[tru@myganne ~]$ uname -a
Linux myganne.xxx 2.4.21-31.EL.usbserial.4+keyspansmp #1 SMP Tue Jul 5 18:42:38
CEST 2005 x86_64 x86_64 x86_64 GNU/Linux

I just add the keyspan support to your kernel and replaced the pl2303 dongle by
a keyspan.

[tru@myganne ~]$ cat /proc/bus/usb/devices 
T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 3
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB OHCI Root Hub
S:  SerialNumber=2a000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms
T:  Bus=02 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=ff(vend.) Sub=ff Prot=ff MxPS= 8 #Cfgs=  2
P:  Vendor=06cd ProdID=0121 Rev= 1.00
S:  Manufacturer=Keyspan, a division of InnoSys Inc.
S:  Product=Keyspan USA-19H 
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 5 Cls=ff(vend.) Sub=00 Prot=00 Driver=serial
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=03(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=03(Int.) MxPS=  64 Ivl=1ms
E:  Ad=82(I) Atr=03(Int.) MxPS=  64 Ivl=1ms
C:  #Ifs= 1 Cfg#= 2 Atr=a0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 5 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=03(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 3
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB OHCI Root Hub
S:  SerialNumber=28000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

syslog (debug=1 for keyspan module):
Jul  5 19:36:42 myganne kernel: usbserial.c: USB Serial support registered for
Keyspan - (without firmware)
Jul  5 19:36:42 myganne kernel: usbserial.c: USB Serial support registered for
Keyspan 1 port adapter
Jul  5 19:36:42 myganne kernel: usbserial.c: Keyspan 1 port adapter converter
detected
Jul  5 19:36:42 myganne kernel: keyspan.c: keyspan_startup
Jul  5 19:36:42 myganne kernel: keyspan.c: keyspan_setup_urbs
Jul  5 19:36:42 myganne kernel: keyspan.c: keyspan_setup_urb - alloc for
endpoint 130.
Jul  5 19:36:42 myganne kernel: keyspan.c: keyspan_setup_urb - alloc for
endpoint 129.
Jul  5 19:36:42 myganne kernel: keyspan.c: keyspan_setup_urb - alloc for endpoint 1.
Jul  5 19:36:42 myganne kernel: keyspan.c: keyspan_setup_urb - alloc for endpoint 2.
Jul  5 19:36:42 myganne kernel: usbserial.c: Keyspan 1 port adapter converter
now attached to ttyUSB0 (or usb/tts/0 for devfs)
Jul  5 19:36:42 myganne kernel: usbserial.c: USB Serial support registered for
Keyspan 2 port adapter
Jul  5 19:36:42 myganne kernel: usbserial.c: USB Serial support registered for
Keyspan 4 port adapter
Jul  5 19:36:42 myganne kernel: keyspan.c: v1.1.4:Keyspan USB to Serial
Converter Driver
Jul  5 19:36:55 myganne sudo:      tru : TTY=pts/0 ; PWD=/home/Bis/tru ;
USER=root ; COMMAND=/usr/bin/minicom
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_open - port0.
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600 00 60.
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_set_termios
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup already writing
Jul  5 19:36:58 myganne kernel: keyspan.c: usa90_outcont_callback - sending setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_set_termios
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup already writing
Jul  5 19:36:58 myganne kernel: keyspan.c: usa90_outcont_callback - sending setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_set_termios
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_set_termios
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa19hs_calc_baud - 9600.
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup already writing
Jul  5 19:36:58 myganne kernel: keyspan.c: usa90_outcont_callback - sending setup
Jul  5 19:36:58 myganne kernel: keyspan.c: keyspan_usa90_send_setup


the only signal received at the other end by agetty (strace'd) is
when minicom is sending BREAK (ctrl-A + F).

Process 28042 attached - interrupt to quit
read(0,

"\0", 1)                        = 1
read(0,

Tru
Comment 12 Pete Zaitcev 2005-07-05 13:47:06 EDT
Thank you for testing. What about the cabling though...
Can you get someone to wire one with correct shorts?

I know that it should work without, but let's have something working first.
The objective is to get the "clocal" setting out of the picture.

I even remember the pinout on V.24 connectors:
 4->5  6->8->20
Comment 13 Tru Huynh 2005-07-05 17:53:32 EDT
Hi, 

about the pinouts: it's a db9 (female)-> rj45 and a rj45->db9(female).
The keyspan and pl2303 are usb -> db9 male.

I am not worried about the cabling: it used to work (2.4.21-15.0.4.ELsmp) on a
similar machine (Tyan S2880/SCSI) VS currently Tyan S2882/sata. But I can't try
any longer on the SCSI machine (in production) and the 2.4.21-15.0.4.EL kernel
does not support SATA drives :(.

Nevertheless, I will try to find something to electrically test the cable just
to be sure.
Comment 14 Pete Zaitcev 2005-07-05 19:30:02 EDT
I am sure that cables are fine. But a normal cable takes modem control
signals from the opposite end. What I wanted is a cable where modem
control signals loop locally, because I'm not sure that drivers process
those correctly. Data going in one direction is symptomatic of it.
Comment 15 Tru Huynh 2005-07-06 08:01:30 EDT
here are the pinouts of my db9/db9 cable:

db9          db9
1 GND   X
2 RxD   --  3 TxD  
3 TxD   --  2 RxD
4 DTR   --  6 DSR
5 GND   --  5 GND
6 DSR   --  4 DTR
7 RTS   --  8 CTS
8 CTS   --  7 RTS
9 RI    X
Comment 16 Pete Zaitcev 2005-07-06 14:00:34 EDT
Just as I thought.

#1 is DCD. I'm not sure what leaving DCD dangling will do. Usually,
getty hangs on open until that comes on (unless -clocal), but it should
not interfere with data flow.

The right plan for test is this (notice - out of order):

2 ------------------------------- 3
3 ------------------------------- 2

1 -------------+
4 -------------+
6 -------------+

5 ------------------------------- 5

7 ----------+
8 ----------+
Comment 20 Ernie Petrides 2006-04-21 00:09:01 EDT
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-40.8.EL).
Comment 23 Joshua Giles 2006-05-31 13:05:01 EDT
Pete/Tru,

I'm a bit confused about the current state of this bug.  Is the "little rework"
patch sufficent to workaround a hardware problem?  Has a determination been made
about the cause being hardware/software yet?
Comment 24 Tru Huynh 2006-05-31 15:00:05 EDT
hi Joshua,

I don't have any other cable than the one describe in comment 15 and which used
to work (see comment 13). According to comment 16, it's partly a hardware issue.
But from my point of view it's also software *little rework* was not enough to
solve my issue, but ymmv.
I can still try your 2.4.21-40.8.EL version if you point me where to download it.

Tru
Comment 26 Red Hat Bugzilla 2006-07-20 09:24:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html
Comment 28 Tru Huynh 2006-09-27 11:22:11 EDT
Hello Pete,

The latest RHSA has indeed fixed the usb/serial issue. The very same cable is
now happy with the pl2303 device :)
I have got the chance to try before, but that is now done.

** kernel-smp-2.4.21-47.EL.x86_64 + pl2303 is ok **

Thanks.

Tru

Note You need to log in before you can comment on or make changes to this bug.